Open Lighting Architecture: ola::messaging::IntegerFieldDescriptor< type > Class Template Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ola::messaging::IntegerFieldDescriptor< type > Class Template Reference

## Detailed Description

template<typename type>
class ola::messaging::IntegerFieldDescriptor< type >

A FieldDescriptor that represents an integer type.

Intervals are closed (include the endpoints).

Inheritance diagram for ola::messaging::IntegerFieldDescriptor< type >:

## Public Types
typedef std::pair< type, type > | Interval
typedef std::vector< std::pair< type, type > > | IntervalVector
typedef std::map< std::string, type > | LabeledValues

## Public Member Functions
| IntegerFieldDescriptor (const std::string &name, bool little_endian=false, int8_t multiplier=0)
| IntegerFieldDescriptor (const std::string &name, const IntervalVector &intervals, const LabeledValues &labels, bool little_endian=false, int8_t multiplier=0)
bool | FixedSize () const
bool | LimitedSize () const
unsigned int | MaxSize () const
int8_t | Multiplier () const
bool | IsLittleEndian () const
const IntervalVector & | Intervals () const
bool | IsValid (type value) const
const LabeledValues & | Labels () const
bool | LookupLabel (const std::string &label, type *value) const
const std::string | LookupValue (type value) const
void | Accept (FieldDescriptorVisitor *visitor) const
Public Member Functions inherited from ola::messaging::FieldDescriptor
| FieldDescriptor (const std::string &name)
const std::string & | Name () const

## Member Function Documentation

## ◆ Accept()

template<typename type>

void ola::messaging::IntegerFieldDescriptor< type >::Accept | ( | FieldDescriptorVisitor * | visitor | ) | const
| inlinevirtual

Implements ola::messaging::FieldDescriptorInterface.

## ◆ FixedSize()

template<typename type>

bool ola::messaging::IntegerFieldDescriptor< type >::FixedSize | ( |  | ) | const
| inlinevirtual

Implements ola::messaging::FieldDescriptorInterface.

## ◆ LimitedSize()

template<typename type>

bool ola::messaging::IntegerFieldDescriptor< type >::LimitedSize | ( |  | ) | const
| inlinevirtual

Implements ola::messaging::FieldDescriptorInterface.

## ◆ MaxSize()

template<typename type>

unsigned int ola::messaging::IntegerFieldDescriptor< type >::MaxSize | ( |  | ) | const
| inlinevirtual

Implements ola::messaging::FieldDescriptorInterface.

The documentation for this class was generated from the following file:

- include/ola/messaging/Descriptor.h